Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2069820 - [abrt] gnome-connections: pointer_free(): gnome-connections killed by SIGSEGV
Summary: [abrt] gnome-connections: pointer_free(): gnome-connections killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-connections
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felipe Borges
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6351f8302fb00593c1f8b02e631...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-29 18:49 UTC by Jiri Eischmann
Modified: 2022-04-13 09:04 UTC (History)
3 users (show)

Fixed In Version: gnome-connections-42.1-1.fc36 gnome-connections-42.1.1-1.fc36 gnome-connections-42.1.2-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-08 02:57:00 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2022-03-29 18:49 UTC, Jiri Eischmann
no flags Details
File: core_backtrace (deleted)
2022-03-29 18:49 UTC, Jiri Eischmann
no flags Details
File: cpuinfo (deleted)
2022-03-29 18:49 UTC, Jiri Eischmann
no flags Details
File: dso_list (deleted)
2022-03-29 18:49 UTC, Jiri Eischmann
no flags Details
File: environ (deleted)
2022-03-29 18:49 UTC, Jiri Eischmann
no flags Details
File: exploitable (deleted)
2022-03-29 18:49 UTC, Jiri Eischmann
no flags Details
File: limits (deleted)
2022-03-29 18:49 UTC, Jiri Eischmann
no flags Details
File: maps (deleted)
2022-03-29 18:49 UTC, Jiri Eischmann
no flags Details
File: mountinfo (deleted)
2022-03-29 18:49 UTC, Jiri Eischmann
no flags Details
File: open_fds (deleted)
2022-03-29 18:49 UTC, Jiri Eischmann
no flags Details
File: proc_pid_status (deleted)
2022-03-29 18:49 UTC, Jiri Eischmann
no flags Details

Description Jiri Eischmann 2022-03-29 18:49:28 UTC
Description of problem:
I tried to connect to a screen shared on other instance of Fedora (gnome-remote-desktop) and it immediately crashed.

Version-Release number of selected component:
gnome-connections-42.0-1.fc36

Additional info:
reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/dbus-:1.3-org.gnome.Connections
cmdline:        /usr/bin/gnome-connections --gapplication-service
crash_function: pointer_free
executable:     /usr/bin/gnome-connections
journald_cursor: s=5c17ea3fa31f4855b3954b092713ca07;i=e905;b=e0150d59039142b0b692db07801fa495;m=cdedcc9cd;t=5db5fc10a870b;x=3179ddad7b4ec6d7
kernel:         5.17.0-300.fc36.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 2068016

Comment 1 Jiri Eischmann 2022-03-29 18:49:32 UTC
Created attachment 1869126 [details]
File: backtrace

Comment 2 Jiri Eischmann 2022-03-29 18:49:33 UTC
Created attachment 1869127 [details]
File: core_backtrace

Comment 3 Jiri Eischmann 2022-03-29 18:49:34 UTC
Created attachment 1869128 [details]
File: cpuinfo

Comment 4 Jiri Eischmann 2022-03-29 18:49:35 UTC
Created attachment 1869129 [details]
File: dso_list

Comment 5 Jiri Eischmann 2022-03-29 18:49:37 UTC
Created attachment 1869130 [details]
File: environ

Comment 6 Jiri Eischmann 2022-03-29 18:49:38 UTC
Created attachment 1869131 [details]
File: exploitable

Comment 7 Jiri Eischmann 2022-03-29 18:49:40 UTC
Created attachment 1869132 [details]
File: limits

Comment 8 Jiri Eischmann 2022-03-29 18:49:41 UTC
Created attachment 1869133 [details]
File: maps

Comment 9 Jiri Eischmann 2022-03-29 18:49:42 UTC
Created attachment 1869134 [details]
File: mountinfo

Comment 10 Jiri Eischmann 2022-03-29 18:49:44 UTC
Created attachment 1869135 [details]
File: open_fds

Comment 11 Jiri Eischmann 2022-03-29 18:49:45 UTC
Created attachment 1869136 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2022-04-05 15:11:21 UTC
FEDORA-2022-4bd1593a86 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-4bd1593a86

Comment 13 Fedora Update System 2022-04-06 17:54:32 UTC
FEDORA-2022-4bd1593a86 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-4bd1593a86`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-4bd1593a86

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-04-07 13:27:18 UTC
FEDORA-2022-4f7e9dc2fb has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-4f7e9dc2fb

Comment 15 Fedora Update System 2022-04-07 18:01:55 UTC
FEDORA-2022-4f7e9dc2fb has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-4f7e9dc2fb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-4f7e9dc2fb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-04-08 02:57:00 UTC
FEDORA-2022-4bd1593a86 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-04-11 03:33:27 UTC
FEDORA-2022-4f7e9dc2fb has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-04-13 09:04:16 UTC
FEDORA-2022-13ed0f323e has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-13ed0f323e

Comment 19 Fedora Update System 2022-04-13 09:04:46 UTC
FEDORA-2022-13ed0f323e has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.